- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::BandCodec Class Reference

A general class for coding and decoding wavelet subband data. More...

`#include <band_codec.h>`

Inheritance diagram for dirac::BandCodec:

List of all members.

## Public Member Functions
| BandCodec (BasicOutputManager *bits_out, size_t number_of_contexts, const SubbandList &band_list, int band_num)
| Constructor for encoding.
| BandCodec (BitInputManager *bits_in, size_t number_of_contexts, const SubbandList &band_list, int band_num)
| Constructor for decoding.
void | InitContexts ()
| Initialise the contexts according to predefined counts.
## Protected Member Functions
void | CodeVal (PicArray &in_data, const ValueType val)
void | DecodeVal (PicArray &out_data)
## Protected Attributes
int | m_bnum
| variables
const Subband | m_node
| the subband being coded
int | m_xp
| dimensions of the subband
int | m_yp
int | m_xl
int | m_yl
int | m_xpos
| position within the subband
int | m_ypos
int | m_vol
| size of the subband
int | m_reset_coeff_num
| the number of coefficients after which contexts are reset
int | m_coeff_count
| count of the coefficients since the last context reset
int | m_qf
| quantisation and inverse quantisation values
int | m_qfinv
ValueType | m_offset
| reconstruction point
ValueType | m_nhood_sum
| sum of a neighbourhood of previously (de)coded values
Subband | m_pnode
| the parent subband
int | m_pxp
| coords of the parent subband
int | m_pyp
int | m_pxl
int | m_pyl
int | m_pxpos
| position of the parent coefficient
int | m_pypos
bool | m_parent_notzero
| True if the parent of a coeff is not zero.
ValueType | m_cut_off_point
| used in selecting a context

## Detailed Description

A general class for coding and decoding wavelet subband data.

A general class for coding and decoding wavelet subband data, deriving from the abstract ArithCodec class.

Definition at line 54 of file band_codec.h.

## Constructor & Destructor Documentation

BandCodec::BandCodec | ( | BasicOutputManager * | bits_out,
|  | size_t | number_of_contexts,
|  | const SubbandList & | band_list,
|  | int | band_num
| ) |

  | Constructor for encoding. Creates a BandCodec object to encode subband data Parameters:
  | bits_out | the output for the encoded bits
  | number_of_contexts | the contexts used in the encoding process
  | band_list | the set of all the subbands
  | band_num | the number of the subband being coded
Definition at line 42 of file band_codec.cpp. References m_node, m_pnode, and dirac::Subband::Parent().

BandCodec::BandCodec | ( | BitInputManager * | bits_in,
|  | size_t | number_of_contexts,
|  | const SubbandList & | band_list,
|  | int | band_num
| ) |

  | Constructor for decoding. Creates a BandCodec object to decode subband data. Parameters:
  | bits_in | the input for the encoded bits
  | number_of_contexts | the contexts used in the decoding process
  | band_list | the set of all the subbands
  | band_num | the number of the subband being decoded
Definition at line 62 of file band_codec.cpp.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/band_codec.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/band_codec.cpp